/* 1.	Izraunajte prosjeni kapacitet uionice u kojoj se teaj odrava. (Tablica Lokacija) */
select AVG(BrojMjesta) as ProsjecniKapacitet 
from Lokacija

/* 2.	Izraunajte ukupan kapacitet svih uionica zajedno. */
select SUM(BrojMjesta) as UkupniKapacitet 
from Lokacija

/* 3.	Ispiite ukupan broj polaznika u tablici Polaznik. */
select COUNT(*) as Ukupno
from Polaznik

/* 4.	Ispiite ukupan broj polaznika enskog spola. */
select COUNT(*) as Ukupno
from Polaznik
where Spol = 'F'

/* 5.	Izraunajte prosjenu dob polaznika (dob izraunajte na temelju stupca DatumRodjenja).  */
select AVG(DATEDIFF(YEAR, DatumRodjenja, GETDATE())) as ProsjecnaDob
from Polaznik

/* 6.	Grupirajte polaznike po spolu. Ispiite ukupan broj polaznika koji pripadaju pojedinom spolu. Ispiite i prosjenu dob polaznika koji pripadaju pojedinom spolu. */
select Spol, COUNT(*) as Ukupno, AVG(DATEDIFF(YEAR, DatumRodjenja, GETDATE())) as ProsjecnaDob
from Polaznik
group by Spol

/* 7.	Grupirajte polaznike po dobi. Ispiite ukupan broj polaznika za svaku dob. Poredajte rezultat po dobi (od najmanje do najvee). */
select DATEDIFF(YEAR, DatumRodjenja, GETDATE()) As Dob, COUNT(*) as Ukupno
from Polaznik
group by DATEDIFF(YEAR, DatumRodjenja, GETDATE())
order by 1

/* 8.	Grupirajte polaznike po spolu i po dobi. Ispiite ukupan broj polaznika za svaku grupu. */
select Spol, DATEDIFF(YEAR, DatumRodjenja, GETDATE()) As Dob, COUNT(*) as Ukupno
from Polaznik
group by Spol, DATEDIFF(YEAR, DatumRodjenja, GETDATE())
order by 2, 1

/* 9.	Grupirajte polaznike po ustanovi (stupac UstanovaId). Za svaku ustanovu ispiite broj polaznika i prosjenu dob polaznika. Poredajte rezultat po broju polaznika (od najveeg prema najmanjem broju). */
select UstanovaId, COUNT(*) as UkupnoPolaznika, AVG(DATEDIFF(YEAR, DatumRodjenja, GETDATE())) as ProsjecnaDob
from Polaznik 
group by UstanovaId

/* 10.	Grupirajte polaznike po ustanovi. U rezultatu ispiite broj polaznika i prosjenu dob. Umjesto identifikatora ustanove, u rezultatu ispiite naziv ustanove. */
select Ustanova.Naziv as Ustanova, COUNT(*) as UkupnoPolaznika, AVG(DATEDIFF(YEAR, DatumRodjenja, GETDATE())) as ProsjecnaDob
from Polaznik 
left join Ustanova 
on Polaznik.UstanovaId = Ustanova.Id
group by Ustanova.Naziv

/* 11.	Za svaku godinu u kojoj su odrani teajevi, ispiite ukupan broj odranih teajeva. */
select YEAR(Pocetak) as Godina, COUNT(*) as OdrzanoTecajeva 
from Odrzavanje
group by YEAR(Pocetak)

/* 12.	Za svaku godinu u kojoj su odrani teajevi, ispiite ukupan broj polaznika. */
select YEAR(Pocetak) as Godina, COUNT(*) as BrojPolaznika 
from Odrzavanje
join Pohadjanje
on Odrzavanje.Id = OdrzavanjeId
group by YEAR(Pocetak)
