use Tecajevi

/* 1.	Uz svaku lokaciju ispiite broj odravanja teajeva na toj lokaciji. */
select Naziv,
(select COUNT(*) from Odrzavanje where LokacijaId = Lokacija.Id) as BrojOdrzavanja 
from Lokacija
where NadredjenaLokacijaId is not null

/* 2.	Ispiite sve lokacije na kojima su odravani teajevi. */
select * from Lokacija where Id in
(select LokacijaId from Odrzavanje)

/* 3.	Uz svaki teaj ispiite broj puta koliko je teaj odran. */
select Sifra, Naziv, 
(select COUNT(*) from Odrzavanje where TecajId = Tecaj.Id) as BrojOdrzavanja
from Tecaj

/* 4.	Uz svaki teaj ispiite broj polaznika koliko je ukupno pohaalo teaj. */
select Sifra, Naziv, 
(select COUNT(*) from Odrzavanje join Pohadjanje on OdrzavanjeId = OdrzavanjeId where TecajId = Tecaj.Id) as BrojPolaznika
from Tecaj

/* 5.	Ispiite naziv teaja i datum odravanja za sva odravanja na kojima je bilo prisutno vie od minimalnog broja polaznika. */
select Naziv, Pocetak
from Tecaj
inner join Odrzavanje
on Tecaj.Id = Odrzavanje.TecajId
inner join Pohadjanje
on Pohadjanje.OdrzavanjeId = Pohadjanje.Id
where tecaj.MinimalnoPolaznika < (select COUNT(*) from Dolazak where Prisutan = 1 and Dolazak.PohadjanjeId = Pohadjanje.Id)

/* 6.	Ispiite polaznike koji su pohaali vie od 2 teaja. */
select Ime, Prezime,
(
	select COUNT(DISTINCT TecajId) from Odrzavanje inner join Pohadjanje on Odrzavanje.Id = Pohadjanje.OdrzavanjeId where Pohadjanje.PolaznikId = Polaznik.Id
) as BrojPohadjanja
from Polaznik
where (select COUNT(DISTINCT TecajId) from Odrzavanje inner join Pohadjanje on Odrzavanje.Id = Pohadjanje.OdrzavanjeId where Pohadjanje.PolaznikId = Polaznik.Id) > 2

/* 7.	Ispiite polaznike koji nemaju niti jedan izostanak. (Prisutnost se biljei pomou stupca Prisutan u tablici Dolazak). */
select Ime, Prezime
from Polaznik
where not exists (select * from Pohadjanje inner join Dolazak on Pohadjanje.Id = PohadjanjeId where PolaznikId = Polaznik.Id and Prisutan = 0)

/* 8.	Ispiite teajeve ija je prosjena ocjena vea od 4,10. */
select Sifra, Naziv,
(
	select AVG (cast(OcjenaTecaja as decimal)) 
	from Pohadjanje 
	inner join Odrzavanje
	on Pohadjanje.OdrzavanjeId = Odrzavanje.Id
	where Odrzavanje.TecajId = Tecaj.Id
) as ProsjecnaOcjena
from Tecaj 
where 
   (select AVG (cast(OcjenaTecaja as decimal)) 
	from Pohadjanje 
	inner join Odrzavanje
	on Pohadjanje.OdrzavanjeId = Odrzavanje.Id
	where Odrzavanje.TecajId = Tecaj.Id) > 4.1

/* 9.	Uz svaki teaj ispiite broj godina u kojima se teaj odrava. */
select Sifra, Naziv, 
(select COUNT(DISTINCT YEAR(Pocetak)) from Odrzavanje where TecajId = Tecaj.Id) as BrojGodina
from Tecaj

/* 10.	Napravite uniju izmeu tablice Ustanova i onih redaka iz tablice Lokacija za koje je stupac NadredjenaLokacijaId jednak NULL.
Napravite i uniju s ponavljanjem i usporedite dobiveni broj redaka. */
SELECT Naziv
FROM Ustanova
UNION
SELECT Naziv
FROM Lokacija
WHERE NadredjenaLokacijaId is null

SELECT Naziv
FROM Ustanova
UNION ALL
SELECT Naziv
FROM Lokacija
WHERE NadredjenaLokacijaId is null
